OpenAI Whisper 1

OpenAI Whisper 1
OpenAI · Transcription
POST /v1/audio/transcriptions

Whisper-1 speech-to-text多语言监督音频训练的转录,每个文件上传限制为25 MB。

一眼看

场地价值
型号IDopenai-whisper-1
车型发布日期2022-09-21
输入模态音频
输出模态正文
上下文窗口-
重量精度-
特色转录,speech_to_text
本土推断
支持的端点POST /v1/audio/transcriptions

定价

冲锋规格速率
每分钟音频每分钟$0.030

示例请求

$curl https://api.empiriolabs.ai/v1/audio/transcriptions \
> -H 'Authorization: Bearer $EMPIRIOLABS_API_KEY' \
> -F model=openai-whisper-1 \
> -F file=@meeting.mp3

参数

参数类型必修默认描述
file是的-音频文件(多部分上传)或者用file_url作为JSON路径。
file_url-用于获取音频的公共网址(替代文件上传)。
translate布尔值错误如果是这样,请路由到/audio/translations并翻译成英文,而不是用源语言转录。
timestamps布尔值错误便利性切换。如果为真,则设 response_format=verbose_json,并包含词级timestamp_granularities。
language-可选的 ISO-639-1 语言代码。如果省略,则自动检测。当翻译=为真时,忽略了。
prompt-词汇表或先前上下文以偏向模型。
response_format枚举"json"当时间戳=真时,被覆盖为verbose_json。·允许:jsontextsrtverbose_jsonvtt
temperature人数0.0采样温度。·射程:0 – 1
timestamp_granularities-逗号分隔列表:单词、段落。当 response_format=verbose_json 时使用。

Machine可读模式: GET https://api.empiriolabs.ai/v1/models/openai-whisper-1